groovy.lang

## Class ExpandoMetaClass.ExpandoMetaConstructor

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.lang.ExpandoMetaClass.ExpandoMetaConstructor

All Implemented Interfaces:
  GroovyObject

Enclosing class:
  ExpandoMetaClass

    protected class ExpandoMetaClass.ExpandoMetaConstructor
    extends GroovyObjectSupport

Handles the ability to use the left shift operator to append new constructors

Author:
  Graeme Rocher

### Constructor Summary

Constructors
`protected` `ExpandoMetaClass.ExpandoMetaConstructor()`

### Method Summary

Methods
`Object` `leftShift(Closure c)`

### Methods inherited from class groovy.lang.GroovyObjectSupport

`getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExpandoMetaClass.ExpandoMetaConstructor

    protected ExpandoMetaClass.ExpandoMetaConstructor()

### Method Detail

#### leftShift

    public Object leftShift(Closure c)